## GtkRadioMenuItem GtkRadioMenuItem |

## Functions

GtkWidget * | gtk_radio_menu_item_new ()
GtkWidget * | gtk_radio_menu_item_new_with_label ()
GtkWidget * | gtk_radio_menu_item_new_with_mnemonic ()
GtkWidget * | gtk_radio_menu_item_new_from_widget ()
GtkWidget * | gtk_radio_menu_item_new_with_label_from_widget ()
GtkWidget * | gtk_radio_menu_item_new_with_mnemonic_from_widget ()
void | gtk_radio_menu_item_set_group ()
GSList * | gtk_radio_menu_item_get_group ()

## Properties

GtkRadioMenuItem * | group | Write

## Signals

void | group-changed | Run First

## Types and Values

struct | GtkRadioMenuItem
#define | gtk_radio_menu_item_group

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkItem
                                ╰── GtkMenuItem
                                    ╰── GtkCheckMenuItem
                                        ╰── GtkRadioMenuItem

## Implemented Interfaces

GtkRadioMenuItem implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_radio_menu_item_new ()

    GtkWidget *
    gtk_radio_menu_item_new (GSList *group);

### gtk_radio_menu_item_new_with_label ()

    GtkWidget *
    gtk_radio_menu_item_new_with_label (GSList *group,
                                        const gchar *label);

Creates a new GtkRadioMenuItem whose child is a simple GtkLabel.

#### Parameters

group | . | [element-type GtkRadioMenuItem][transfer full]
label | the text for the label |

#### Returns

A new GtkRadioMenuItem.

[transfer none]

### gtk_radio_menu_item_new_with_mnemonic ()

    GtkWidget *
    gtk_radio_menu_item_new_with_mnemonic (GSList *group,
                                           const gchar *label);

Creates a new GtkRadioMenuItem containing a label. The label will be created using `gtk_label_new_with_mnemonic()`, so underscores in `label` indicate the mnemonic for the menu item.

#### Parameters

group | group the radio menu item is inside |
label | the text of the button, with an underscore in front of the mnemonic character |
returns | a new GtkRadioMenuItem |

### gtk_radio_menu_item_new_from_widget ()

    GtkWidget *
    gtk_radio_menu_item_new_from_widget (GtkRadioMenuItem *group);

Creates a new GtkRadioMenuItem adding it to the same group as `group` .

#### Parameters

group | An existing GtkRadioMenuItem |

#### Returns

The new GtkRadioMenuItem.

[transfer none]

Since: 2.4

### gtk_radio_menu_item_new_with_label_from_widget ()

    GtkWidget *
    gtk_radio_menu_item_new_with_label_from_widget
                                   (GtkRadioMenuItem *group,
                                    const gchar *label);

Creates a new GtkRadioMenuItem whose child is a simple GtkLabel. The new GtkRadioMenuItem is added to the same group as `group` .

#### Parameters

group | an existing GtkRadioMenuItem |
label | the text for the label |

#### Returns

The new GtkRadioMenuItem.

[transfer none]

Since: 2.4

### gtk_radio_menu_item_new_with_mnemonic_from_widget ()

    GtkWidget *
    gtk_radio_menu_item_new_with_mnemonic_from_widget
                                   (GtkRadioMenuItem *group,
                                    const gchar *label);

Creates a new GtkRadioMenuItem containing a label. The label will be created using `gtk_label_new_with_mnemonic()`, so underscores in label indicate the mnemonic for the menu item.

The new GtkRadioMenuItem is added to the same group as `group` .

#### Parameters

group | An existing GtkRadioMenuItem |
label | the text of the button, with an underscore in front of the mnemonic character |

#### Returns

The new GtkRadioMenuItem.

[transfer none]

Since: 2.4

### gtk_radio_menu_item_set_group ()

    void
    gtk_radio_menu_item_set_group (GtkRadioMenuItem *radio_menu_item,
                                   GSList *group);

### gtk_radio_menu_item_get_group ()

    GSList *
    gtk_radio_menu_item_get_group (GtkRadioMenuItem *radio_menu_item);

Returns the group to which the radio menu item belongs, as a GList of GtkRadioMenuItem. The list belongs to GTK+ and should not be freed.

#### Parameters

radio_menu_item | a GtkRadioMenuItem |

#### Returns

the group of `radio_menu_item` .

[transfer none]

## Types and Values

### struct GtkRadioMenuItem

    struct GtkRadioMenuItem;

### gtk_radio_menu_item_group

    #define gtk_radio_menu_item_group gtk_radio_menu_item_get_group

`gtk_radio_menu_item_group` is deprecated and should not be used in newly-written code.

## Property Details

### The `“group”` property

      “group”                    GtkRadioMenuItem *

The radio menu item whose group this widget belongs to.

Owner: GtkRadioMenuItem

Flags: Write

Since: 2.8

## Signal Details

### The `“group-changed”` signal

    void
    user_function (GtkRadioMenuItem *radiomenuitem,
                   gpointer          user_data)

Flags: Run First